Bug 735060 - Misleading error message when trying to upgrade across arches ("This is likely due to it being too old")
Summary: Misleading error message when trying to upgrade across arches ("This is likel...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 798691
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-01 10:28 UTC by Kamil Páral
Modified: 2012-06-04 23:55 UTC (History)
3 users (show)

Fixed In Version: anaconda-17.8-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-04 23:55:09 UTC


Attachments (Terms of Use)
screenshot (32.70 KB, image/png)
2011-09-01 10:28 UTC, Kamil Páral
no flags Details
anaconda.log (5.42 KB, text/plain)
2011-09-01 10:28 UTC, Kamil Páral
no flags Details
program.log (32.24 KB, text/plain)
2011-09-01 10:29 UTC, Kamil Páral
no flags Details
storage.log (65.48 KB, text/plain)
2011-09-01 10:29 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2011-09-01 10:28:24 UTC
Created attachment 520987 [details]
screenshot

Description of problem:
I have Fedora 15 installed. Anaconda says it can't upgrade it, because it's too old.

Version-Release number of selected component (if applicable):
anaconda-16.16
F16 Beta TC1

Comment 1 Kamil Páral 2011-09-01 10:28:47 UTC
Created attachment 520988 [details]
anaconda.log

Comment 2 Kamil Páral 2011-09-01 10:29:06 UTC
Created attachment 520989 [details]
program.log

Comment 3 Kamil Páral 2011-09-01 10:29:23 UTC
Created attachment 520990 [details]
storage.log

Comment 4 Kamil Páral 2011-09-01 10:31:27 UTC
Beta blocker:
The installer must be able to successfully complete an upgrade installation from a clean, fully updated default installation (from any official install medium) of the previous stable Fedora release, either via preupgrade or by booting to the installer manually. The upgraded system must meet all release criteria

https://fedoraproject.org/wiki/Fedora_16_Beta_Release_Criteria

Comment 5 Adam Williamson 2011-09-01 16:39:24 UTC
+1 blocker for me.

Comment 6 David Lehman 2011-09-01 17:24:34 UTC
Can you boot into your old system and collect some info?

  cat /etc/fedora-release
  rpm -q --qf '%{nevra}\n' initscripts

Thanks.

Comment 7 Kamil Páral 2011-09-02 06:34:59 UTC
# cat /etc/fedora-release 
Fedora release 15 (Lovelock)
# rpm -q --qf '%{nevra}\n' initscripts
initscripts-9.30-2.fc15.i686

Comment 8 David Lehman 2011-09-02 15:15:35 UTC
Your f15 is 32-bit and you are trying to upgrade to 64-bit f16. You cannot upgrade a 32-bit installation to a 64-bit installation. They are two different architectures.

Comment 9 Kamil Páral 2011-09-05 07:41:28 UTC
Ouch, I really did that unintentionally. Sorry for confusion.

By the way, could we have a more clarifying error message in this case? Because currently the message is weird ("You have too old release, Fedora 15"). What about "You have incompatible system architecture"?

Comment 10 Adam Williamson 2011-09-07 21:12:17 UTC
Dropping beta blocker status, adjusting bug to reflect comment #9.

Comment 11 Kamil Páral 2011-10-31 10:18:11 UTC
Still present in F16 RC2.

Comment 12 Brian Lane 2011-11-01 23:46:02 UTC
This isn't going to make it into F16 -- I had thought it was fixed by someone else, but that ends up to have been an iso arch mismatch, not upgrades. I'll make sure it gets into rawhide though.

Comment 13 Kamil Páral 2012-02-29 15:22:43 UTC
I reported bug 798691 which blocks this one. Because I proposed it as blocker bug, I wanted it to be easily readable, so I did not reuse this one. Once bug 798691 is resolved, it will most probably resolve also this one.


Note You need to log in before you can comment on or make changes to this bug.